<!--[metadata]>
+++
title ="Docker Universal Control Plane"
keywords= ["univeral, introduction, overview, ucp"]
description="Docker Universal Control Plane"
[menu.main]
parent="mn_ucp"
weight="-100"
+++
<![end-metadata]-->


# UCP table of contents

Universal Control Plane is a Docker native solution designed to provision and
cluster Docker hosts and their resources. You can use UCP to deploy and manage
Dockerized applications. UCP has full support for the Docker API. This feature
means an easy deployment of applications from development to test to production
&ndash; without code changes.

The UCP documentation includes the following topics:

* [UCP Overview](index.md)
* [Evaluation installation](evaluation-install.md)
* [Plan a production installation](plan-production-install.md)
* [Install UCP for production](production-install.md)
* [Set up container networking with UCP](networking.md)
* [Set up high availability](understand_ha.md)
* [Deploy an application thru UCP](deploy-application.md)
* [UCP Key/Value Store Backend](kv_store.md)
* [Manage, monitor, and troubleshoot UCP and its resources](manage/monitor-ucp.md)
* [Manage and authorize users](manage/monitor-manage-users.md)
* [The ucp tool reference](reference/index.md)
* [Work with Docker Support](support.md)
* [UCP Release Notes](release_notes.md)
